new;
library pgraph;

proc cdfExp(x);
  local cdf;
  cdf = 1 - exp(-x); 
  retp( missex(cdf,cdf .< 0) );
endp;

proc (1) = cdfMax(CDF,N,x);
  local CDF:proc;
  local y;

  y = CDF(x)^N;

  retp(y);
endp;

proc cdfGumbel(x);
  local cdf;

  cdf = exp(-exp(-x));

  retp(cdf);
endp;

x = seqa(-5,0.01,1001);
N = 2~5~10~15;

F = cdfExp(x);
F_n = cdfMax(&cdfEXP,N,x);
F_n2 = cdfMax(&cdfEXP,N,x+ln(N));
F_n3 = cdfMax(&cdfEXP,50,x+ln(50));
G = cdfGumbel(x);

graphset;
  begwind;
  window(2,2,0);

  _pdate = ""; _pnum = 2; _pltype = 6|3|1|4;
  _pnumht = 0.20; _paxht = 0.25; _pframe = 0;
  fonts("simplex simgrma");

  ytics(0,1,0.2,2);
  xtics(0,5,1,2);

  setwind(1);
    xlabel("x");
    ylabel("F(x)");
    xy(x,F);

  setwind(2);
    ylabel("\202@[\201F(x)\202@]\201[N]");
    _plegstr = "N = 2\000N = 5\000N = 10\000N = 15";
    _plegctl = {2 6 6 2};
    xy(x,F_n);

  xtics(-2,5,1,2);

  setwind(3);
    ylabel("\202@[\201F(x+ln(N))\202@]\201[N]");
    _plegctl = {2 6 5 2};
    xy(x,F_n2);

  setwind(4);
    ylabel("CDF");
    _plegstr = "Gumbel\000N = 50";    
    _plwidth = 0|2.5;
    xy(x,G~F_n3);

    graphprt("-c=1 -cf=conv1.ps");

  endwind;

N = seqa(1,1,100)';
F_ = cdfMax(&cdfEXP,N,x+ln(N));
eps = maxc(abs(F_-G));

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  xlabel("N");
  graphprt("-c=1 -cf=conv2.ps");
  xy(N',ln(eps));
