new;
library pgraph;

#include copula.src;

u = 0.001|seqa(0.01,0.01,99)|0.999; v = u';
x = seqa(-3,0.01,601); y = x';

tau = 0.5;                   /* Kendall's tau */
rho = sin(pi/2*tau);         /* Corresponding parameter for the Normal copula */
alpha = 1/(1-tau);           /* Corresponding parameter for the Gumbel copula */

pdf1 = pdfNormal2Copula(u,v,rho);
pdf2 = pdfNormal2Copula(cdfn(x),cdfn(y),rho) .* pdfn(x) .* pdfn(y);

pdf3 = pdfGumbelCopula(u,v,alpha);
pdf4 = pdfGumbelCopula(cdfn(x),cdfn(y),alpha) .* pdfn(x) .* pdfn(y);

graphset;
  begwind;
  window(2,2,0);
  _pnum = 2; _paxht = 0.25; _pnumht = 0.20; _pframe = 0;
  fonts("simplex simgrma"); _ptitlht = 0.25;

  _plev = seqa(0.5,0.25,10);
  xtics(0,1,0.2,2);
  ytics(0,1,0.2,2);    
  xlabel("U]@[0,1@][");
  ylabel("U]@[0,1@][");

  setwind(1);
    title("Normal Copula");
    contour(u',v',pdf1');

  setwind(3);
    title("Gumbel Copula");
    contour(u',v',pdf3');

  _plev = seqa(0.02,0.03,6);
  xtics(-3,3,1,2);
  ytics(-3,3,1,2);
  xlabel("N(0,1)");
  ylabel("N(0,1)");

  setwind(2);
    title("Normal Copula");
    contour(x',y',pdf2');

  setwind(4);
    title("Gumbel Copula");
    contour(x',y',pdf4');

    graphprt("-c=1 -cf=copula1.ps");
  endwind;