new;
library pgraph;

#include copula.src;

u = 0.001|seqa(0.01,0.01,99)|0.999|0.9999|0.99999|0.999999|0.9999999999;

tau = 0.25~0.50~0.75~0.90;
rho = sin(pi/2*tau);         /* Corresponding parameter for the Normal copula */
alpha = 1./(1-tau);          /* Corresponding parameter for the Gumbel copula */

cdf1 = cdfNormal2Copula(u,u,rho);
cdf2 = cdfGumbelCopula(u,u,alpha);

l1 = (1 - 2.*u + cdf1) ./ (1-u);
l2 = (1 - 2.*u + cdf2) ./ (1-u);

lambda1 = 0 .* rho;
lambda2 = 2 - 2^(1./alpha);

u = u | 1;
l1 = l1 | lambda1;
l2 = l2 | lambda2;

graphset;
  begwind;
  window(2,2,0);

    _pnum = 2; _pltype = 6|1; _pframe = 0;
    _paxht = 0.25; _ptitlht = 0.25; _pnumht = 0.20;
    fonts("simplex simgrma");
    xtics(0,1,0.2,2);
    ytics(0,1,0.2,2);
    xlabel("u");
    ylabel("\202l\201(u)");

  i = 1;
  setwind(i);
    title(ftos(tau[i],"\202t\201 = %lf",3,2));
    e = ones(2,1);
    _pline = e.*(1~6~0.97)~(lambda1[i]|lambda2[i])~e~
             (lambda1[i]|lambda2[i])~e.*(1~15~15);
    xy(u,l1[.,i]~l2[.,i]);  

  i = 2;
  setwind(i);
    title(ftos(tau[i],"\202t\201 = %lf",3,2));
    _pline = e.*(1~6~0.97)~(lambda1[i]|lambda2[i])~e~
             (lambda1[i]|lambda2[i])~e.*(1~15~15);
    xy(u,l1[.,i]~l2[.,i]);  

  i = 3;
  setwind(i);
    title(ftos(tau[i],"\202t\201 = %lf",3,2));
    _pline = e.*(1~6~0.97)~(lambda1[i]|lambda2[i])~e~
             (lambda1[i]|lambda2[i])~e.*(1~15~15);
    xy(u,l1[.,i]~l2[.,i]);  

  i = 4;
  setwind(i);
    title(ftos(tau[i],"\202t\201 = %lf",3,2));
    _pline = e.*(1~6~0.97)~(lambda1[i]|lambda2[i])~e~
             (lambda1[i]|lambda2[i])~e.*(1~15~15);
    _plegstr = "Normal\000Gumbel";
    _plegctl = {2 6 3 3};
    xy(u,l1[.,i]~l2[.,i]);  

    graphprt("-c=1 -cf=mev1.ps");

  endwind;